<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\Twig\Components\Sliders;

use KupShop\ComponentsBundle\Attributes\Component;
use KupShop\ComponentsBundle\Attributes\Version;
use Symfony\UX\TwigComponent\Attribute\AsTwigComponent;

#[AsTwigComponent(template: '@Components/components/Sliders/FullScreenSlide/FullScreenSlide.1.html.twig')]
#[Component(1, [
    new Version(1, newJs: null),
])]
class FullScreenSlide extends Slide
{
    public function getCustomDataProducts()
    {
        return $this->getCustomData()['products'] ?? [];
    }
}
